import 'option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();

class Promter {
  bool askBinry(String promt) {
    final input = _ask('$promt (y/n)', []);

    return input.contains('y');
  }

  askMultiple(String promt, List<Option> options) {
    final input = _ask(promt, options);
    try {
      return options[int.parse(input)].value;
    } catch (e) {
      return askMultiple(promt, options);
    }
  }

  String _ask(String promt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPromts(promt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
